Package org.eclipse.swt.accessibility

# Class AccessibleEditableTextEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.accessibility.AccessibleEditableTextEvent

All Implemented Interfaces:
  `Serializable`

public class AccessibleEditableTextEvent extends EventObject
Instances of this class are sent as a result of accessibility clients sending AccessibleEditableText messages to an accessible object.

Since:
  3.7
See Also:
  - `AccessibleEditableTextListener`
  - `AccessibleEditableTextAdapter`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`end`
[in] 0-based ending offset of the character range to perform the operation on
`String`
`result`
[out] Set this field to `ACC.OK` if the operation was completed successfully, and `null` otherwise.
`int`
`start`
[in] 0-based start offset of the character range to perform the operation on
`String`
`string`
[in] a string that will replace the specified character range

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleEditableTextEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public int start
[in] 0-based start offset of the character range to perform the operation on

See Also:
  - `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.pasteText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

### end

public int end
[in] 0-based ending offset of the character range to perform the operation on

See Also:
  - `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

### string

public String string
[in] a string that will replace the specified character range

See Also:
  - `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

### result

public String result
[out] Set this field to `ACC.OK` if the operation was completed successfully, and `null` otherwise.

See Also:
  - `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.pasteText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`
  - `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

## Constructor Details

### AccessibleEditableTextEvent

public AccessibleEditableTextEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event